#
# Cookbook Name:: tmux
# Recipe:: default
#
# Copyright 2010, Opscode, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
#

case node['tmux']['install_method']
when 'source'
  include_recipe "tmux::source"
else
  include_recipe "tmux::package"
end

template '/etc/tmux.conf' do
  source 'tmux.conf.erb'
  mode 00644
  variables(
    :server_opts => node['tmux']['server_opts'].to_hash,
    :session_opts => node['tmux']['session_opts'].to_hash,
    :window_opts => node['tmux']['window_opts'].to_hash )
end
